Skip to main content
POST
Create a bank link token

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

customerId
string
required

The Grid customer ID to link a bank account for.

Body

application/json
clientName
string

The application name Plaid Link shows the customer. Defaults to your platform's name.

Required string length: 1 - 30
Example:

"Acme Wallet"

Response

Link token created

A Plaid Link token for linking one of the customer's bank accounts.

The token to open Plaid Link with.

Example:

"link-production-840204-193734"

expiresAt
string<date-time>
required

Time at which the link token expires.

Example:

"2027-01-15T14:32:00Z"